import { Path } from '@angular-devkit/core';
import { PluginHook, PluginBuilderSchema } from './schema';
export declare class BuildPlugin {
    static readonly PRE_HOOK = "pre";
    static readonly POST_HOOK = "post";
    static readonly CONFIG_HOOK = "config";
    private static plugin;
    static loadPlugin(root: Path, options: PluginBuilderSchema): void;
    static runHook(hook: PluginHook, data: any): void | object;
}
