import { DevServerBuilder } from '@angular-devkit/build-angular';
import { Path, virtualFs } from '@angular-devkit/core';
import { BuilderConfiguration, BuildEvent } from '@angular-devkit/architect';
import { NormalizedPluginBrowserBuilderSchema } from '../browser/schema';
import { PluginDevServerBuilderOptions } from './schema';
import { Observable } from 'rxjs';
import { Stats } from 'fs';
export declare class PluginDevServerBuilder extends DevServerBuilder {
    run(builderConfig: BuilderConfiguration<PluginDevServerBuilderOptions>): Observable<BuildEvent>;
    buildWebpackConfig(root: Path, projectRoot: Path, host: virtualFs.Host<Stats>, options: NormalizedPluginBrowserBuilderSchema): any;
}
export default PluginDevServerBuilder;
